Subject: (urth) p.s.on The Play

From: Alice Turner <al at interport.net>
Date: Mon, 02 Feb 1998 07:49:29 +0000

[Posted from URTH, a mailing list about Gene Wolfe's New Sun and other works]

Oh, in case some of you do want to slog through the Persian creation myth, I
should add that Nod=Gayomard, Jahi=Jeh, M&M=Mashya and Mashyane. Not that I
think you're dim in any way, but it might save a puzzled minute or two.

-alga-